package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class PapCatatanVO extends BaseTransactionVO{
	
	private Integer id;
	
	@ManyToOne
	@Caption(value = "Object antrianPasienDiPeriksa")
	private AntrianPasienDiPeriksaVO antrianPasienDiPeriksa;

	@ManyToOne
	@Caption(value="Object Rujukan")
	private CatatanVO rujukan;
	
	@Caption(value="isNilai")
	private Boolean isNilai;

	@Caption(value="lainLain")
	private String lainLain;

	public AntrianPasienDiPeriksaVO getAntrianPasienDiPeriksa() {
		return antrianPasienDiPeriksa;
	}

	public void setAntrianPasienDiPeriksa(AntrianPasienDiPeriksaVO antrianPasienDiPeriksa) {
		this.antrianPasienDiPeriksa = antrianPasienDiPeriksa;
	}

	public CatatanVO getRujukan() {
		return rujukan;
	}

	public void setRujukan(CatatanVO rujukan) {
		this.rujukan = rujukan;
	}

	public Boolean getIsNilai() {
		return isNilai;
	}

	public void setIsNilai(Boolean isNilai) {
		this.isNilai = isNilai;
	}

	public String getLainLain() {
		return lainLain;
	}

	public void setLainLain(String lainLain) {
		this.lainLain = lainLain;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}


}
